ProcessEventNotification
Prev | Fusion message devices | Next

## Name

ProcessEventNotification — Route EventNotificationReply to all event handlers

## Synopsis

`int ProcessEventNotification (` | MPT_ADAPTER * | ioc,
| EventNotificationReply_t * | pEventReply,
| int * | evHandlers`)`;

## Arguments

`ioc`

  Pointer to MPT_ADAPTER structure

`pEventReply`

  Pointer to EventNotification reply frame

`evHandlers`

  Pointer to integer, number of event handlers

## Description

Routes a received EventNotificationReply to all currently registered event handlers. Returns sum of event handlers return values.

Prev | Up | Next
procmpt_iocinfo_read | Home | mpt_fc_log_info